﻿<%@ Page masterpagefile="master.master" language="C#" title="マスタページ　お問い合わせフォーム" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="content01" runat="server">
<form id="form1" runat="server">
			<p class="fontred">※印は必須入力項目です</p>
			<asp:ValidationSummary runat="server" id="ValidationSummary1" HeaderText="入力欄で以下のエラーが発生しました" SkinID="errorsummary" />
			<dl>
				<dt>氏名</dt>
				<dd>姓：<asp:TextBox runat="server" id="sei" SkinID="sei"></asp:TextBox>
				<br />
				名：<asp:TextBox runat="server" id="mei" SkinID="mei"></asp:TextBox></dd>
				<dt>郵便番号（入力例：000-0000）</dt>
				<dd>
				<asp:TextBox runat="server" id="zip" SkinID="zip" AutoCompleteType="BusinessZipCode"></asp:TextBox>
				<asp:RegularExpressionValidator runat="server" ErrorMessage="郵便番号をご確認ください" id="RegularExpressionValidator1" ControlToValidate="zip" ValidationExpression="\d{3}(-(\d{4}|\d{2}))?" SkinID="errorzip">
					ご確認ください
				</asp:RegularExpressionValidator>
				</dd>
				<dt>住所</dt>
				<dd>
				<asp:TextBox runat="server" id="address" SkinID="address" AutoCompleteType="BusinessStreetAddress"></asp:TextBox></dd>
				<dt>電話番号（入力例：000-000-0000）</dt>
				<dd>
				<asp:TextBox runat="server" id="tel" SkinID="tel" AutoCompleteType="BusinessPhone"></asp:TextBox>
				<asp:RegularExpressionValidator runat="server" ErrorMessage="電話番号をご確認ください" id="RegularExpressionValidator2" ControlToValidate="tel" ValidationExpression="(0\d{1,4}-|\(0\d{1,4}\) ?)?\d{1,4}-\d{4}" SkinID="errortel">
					ご確認ください
				</asp:RegularExpressionValidator>
				</dd>
				<dt>FAX番号</dt>
				<dd>
				<asp:TextBox runat="server" id="fax"></asp:TextBox>
				<asp:RegularExpressionValidator runat="server" ErrorMessage="FAX番号をご確認ください" id="RegularExpressionValidator4" ControlToValidate="fax" ValidationExpression="(0\d{1,4}-|\(0\d{1,4}\) ?)?\d{1,4}-\d{4}">
				</asp:RegularExpressionValidator>
				</dd>
				<dt>メールアドレス　<span class="fontred">※</span><asp:RequiredFieldValidator runat="server" ErrorMessage="メールアドレスは必須入力項目です" id="RequiredFieldValidator1" ControlToValidate="mail" SkinID="errormailreq">
					必須入力です
				</asp:RequiredFieldValidator>
				</dt>
				<dd>
				<asp:TextBox runat="server" id="mail" SkinID="mail" AutoCompleteType="Email">
				</asp:TextBox>
				<asp:RegularExpressionValidator runat="server" ErrorMessage="メールアドレスをご確認ください" id="RegularExpressionValidator3" ControlToValidate="mail" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" SkinID="errormailchk">
					ご確認ください
				</asp:RegularExpressionValidator>
				<asp:CompareValidator runat="server" ErrorMessage="入力された2つのメールアドレスが一致しません。もう一度ご確認ください。" id="RequiredFieldValidator3" ControlToValidate="mail2" ControlToCompare="mail">
				メールドレスが一致しません
				</asp:CompareValidator>
				<br />
				<asp:TextBox runat="server" id="mail2" SkinID="mail2" AutoCompleteType="Email">
				</asp:TextBox>　（もう一度ご入力ください）
				</dd>
				<dt>お問い合わせ内容　<span class="fontred">※</span><asp:RequiredFieldValidator runat="server" ErrorMessage="お問い合わせは必須入力項目です" id="RequiredFieldValidator2" ControlToValidate="question" SkinID="errorquestion">
					必須入力です
				</asp:RequiredFieldValidator>
				</dt>
				<dd>
				<asp:TextBox runat="server" id="question" TextMode="MultiLine" SkinID="question"></asp:TextBox>
				</dd>
			</dl>
			<p>
			<asp:Button runat="server" Text="内容確認" id="Button1" PostBackUrl="formthanks.aspx"></asp:Button></p></form>
</asp:Content>